{% if comments|default(False) %}
###############
# Bridge
###############
{{ bridge | default() | to_nice_yaml | comment(prefix='# bridge:', postfix='') -}}
{% endif %}
auto bridge
iface bridge
{% if bridge.interfaces is defined %}
    bridge-ports {% for interface in bridge.interfaces %}{{ interface.name }} {% endfor %}

{% endif %}
{% if mlag is defined %}
    bridge-ports peerlink
{% endif %}
{% if bonds|selectattr('bridge', 'defined') is defined %}
    bridge-ports {{ bonds|selectattr('bridge', 'defined')|map(attribute='name')|list|join(' ') }}
{% endif %}
{% if vnis is defined %}
    bridge-ports {% for vni in vnis %}{{ vni.name }} {% endfor %}

{% endif %}
    bridge-vids {% for vid in bridge.vids %}{{ vid }} {% endfor %} 
    bridge-vlan-aware yes
{% for extra in bridge.extras|default() %}
    {{ extra }}
{% endfor %}


